Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

## Class AmountTypeSCT

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_001_002_02.AmountTypeSCT

    public class AmountTypeSCT
    extends java.lang.Object

Java class for AmountTypeSCT complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AmountTypeSCT">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="InstdAmt" type="{urn:swift:xsd:$pain.001.002.02}CurrencyAndAmountSCT"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected CurrencyAndAmountSCT` `instdAmt`

### Constructor Summary

Constructors
`AmountTypeSCT()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CurrencyAndAmountSCT` `getInstdAmt()` Gets the value of the instdAmt property.
`void` `setInstdAmt​(CurrencyAndAmountSCT value)` Sets the value of the instdAmt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instdAmt

    protected CurrencyAndAmountSCT instdAmt

### Constructor Detail

#### AmountTypeSCT

    public AmountTypeSCT()

### Method Detail

#### getInstdAmt

    public CurrencyAndAmountSCT getInstdAmt()

Gets the value of the instdAmt property.

Returns:
  possible object is `CurrencyAndAmountSCT`

#### setInstdAmt

    public void setInstdAmt​(CurrencyAndAmountSCT value)

Sets the value of the instdAmt property.

Parameters:
  `value` - allowed object is `CurrencyAndAmountSCT`